From bfda0709a2df742707123536a4774f993eacedfa Mon Sep 17 00:00:00 2001
From: Kevin Redon <kevredon@mail.tsaitgaist.info>
Date: Tue, 11 Sep 2012 11:42:29 +0200
Subject: [PATCH 2/6] add comment/explaination for structure osim_apdu_case

---
 include/osmocom/sim/sim.h |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/include/osmocom/sim/sim.h b/include/osmocom/sim/sim.h
index 5ad1643..35ff7b4 100644
--- a/include/osmocom/sim/sim.h
+++ b/include/osmocom/sim/sim.h
@@ -6,15 +6,15 @@
 
 #define APDU_HDR_LEN	5
 
-/* ISO 7816 / 5.3.1 / Figure 3 + Figure 4 */
+/* command-response pairs cases, as specified in ISO/IEC 7816-3:2006(E) §12.1 */
 enum osim_apdu_case {
-	APDU_CASE_1,
-	APDU_CASE_2,
-	APDU_CASE_2_EXT,
-	APDU_CASE_3,
-	APDU_CASE_3_EXT,
-	APDU_CASE_4,
-	APDU_CASE_4_EXT
+	APDU_CASE_1, /* command header, no command data field, no response data field */
+	APDU_CASE_2, /* command header, no command data field, response data field (short) */
+	APDU_CASE_2_EXT, /* command header, no command data field, response data field (extended) */
+	APDU_CASE_3, /* command header, command data field (short), no response data field */
+	APDU_CASE_3_EXT, /* command header, command data field (extended), no response data field */
+	APDU_CASE_4, /* command header, command data field (short), response data field (short) */
+	APDU_CASE_4_EXT /* command header, command data field (extended), response data field (extended) */
 };
 
 struct osim_apdu_cmd_hdr {
-- 
1.7.9.5

